/* Qualifying */
.result-quali {
    margin: 0 auto 2px !important;
}

.result-quali.num-1 {
    width: 428px;
}

.result-quali.num-2 {
    width: 490px;
}

.result-quali.num-3 {
    width: 552px;
}

.result-quali .row {
    height: 22px;
}

.result-quali .head .row_head.pos,
.result-quali .head .row_head.participant,
.result-quali .head .row_head.team,
.result-quali .head .row_head.session:not(.session-sort),
.result-quali .head .row_head.grid-pos:not(.session-sort) {
    margin-top: 0;
}

.result-quali .head,
.result-quali .head .row_head.pos,
.result-quali .head .row_head.participant,
.result-quali .head .row_head.team {
    height: 42px;
    line-height: 42px;
}

.result-quali .pos,
.result-quali .grid-pos {
    font-weight: bold;
    width: 30px;
}

.result-quali .participant {
    width: 178px;
}

.result-quali .num {
    width: 20px;
}

.result-quali .part-name {
    width: 156px;
}

.result-quali .team {
    box-sizing: border-box;
    padding-right: 3px;
    width: 100px;
}

.result-quali .team.no-link,
.result-quali .team.with-link:not(:hover) {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.result-quali .session {
    width: 60px;
}

.result-quali .session-sort.unsel {
    cursor: pointer;
}

.result-quali .session-sort.sel {
    filter: grayscale(100%);
}

.result-quali .info {
    width: 20px;
}

.result-quali.sort-q1 .q1-abs:not(.q1-p1),
.result-quali.sort-q1 .q2-rel,
.result-quali.sort-q1 .q3-rel,
.result-quali.sort-q2 .q1-rel,
.result-quali.sort-q2 .q2-abs:not(.q2-p1),
.result-quali.sort-q2 .q3-rel,
.result-quali.sort-q3 .q1-rel,
.result-quali.sort-q3 .q2-rel,
.result-quali.sort-q3 .q3-abs:not(.q3-p1),
.result-quali.sort-grid .q1-rel,
.result-quali.sort-grid .q2-rel,
.result-quali.sort-grid .q3-rel {
    display: none;
}

/* Responsive - Mobile */
@media only screen and (max-width: 489px) {
    .result-quali.num-2 {
        width: 100%;
    }

    .result-quali.num-2 .team,
    .result-quali.num-2 .info {
        display: none;
    }

    .result-quali.num-2 .participant {
        width: calc(100% - 188px);
    }

    .result-quali.num-2 .part-name {
        width: calc(100% - 210px);
    }
}

@media only screen and (max-width: 551px) {
    .result-quali.num-3 {
        width: 100%;
    }

    .result-quali.num-3 .team,
    .result-quali.num-3 .info {
        display: none;
    }

    .result-quali.num-3 .pos,
    .result-quali.num-3 .grid-pos {
        width: 25px;
    }

    .result-quali.num-3 .session {
        width: 50px;
    }

    .result-quali.num-3 .participant {
        width: calc(100% - 210px);
    }

    .result-quali.num-3 .part-name {
        width: calc(100% - 232px);
    }
}

/* Race Grid */
.result-grid {
    background-color: #222222;
    margin: 0 auto !important;
    position: relative;
}

.result-grid:before,
.result-grid:after {
    background-color: #ffffff;
    content: " ";
    display: block;
    height: 100%;
    position: absolute;
    top: 0;
    width: 8px;
    z-index: 10;
}

.result-grid .start-finish {
    background: url(/sports/images/motorsport/grid_startfinish.png);
    height: 10px;
    margin-bottom: 10px;
    width: 100%;
}

.result-grid .ind {
    display: inline-block;
}

.result-grid .ind,
.result-grid .ind ul {
    height: 189px;
    vertical-align: top;
    width: 204px;
}

.result-grid .slot {
    height: 15px;
    position: relative;
}

.result-grid .slot div {
    border: 5px solid #ffffff;
    border-bottom-style: none;
    box-sizing: border-box;
    height: 40px;
    margin: 0 auto;
    width: 162px;
}

.result-grid li.mugshot {
    height: 130px;
    margin: 0 auto;
    width: 130px;
}

.result-grid .pos,
.result-grid .num,
.result-grid .participant,
.result-grid .extra {
    float: left;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.result-grid .pos,
.result-grid .num {
    font-weight: bold;
    width: 30px;
}

.result-grid .participant {
    width: 140px;
}

.result-grid .num,
.result-grid .participant {
    background-color: #ffffff;
}

.result-grid .extra {
    clear: left;
    padding-left: 3px;
    text-align: left;
    width: 199px;
}

.result-grid .extra div {
    float: right;
    margin-right: 3px;
}

.result-grid .ind li {
    border: 1px solid #444444;
}

.result-grid .ind li.slot {
    border-style: none;
}

.result-grid .ind li.mugshot {
    background-color: #ffffff;
    border-bottom-style: none;
}

.result-grid .ind li.num {
    border-left-style: none;
    border-right-style: none;
}

.result-grid .ind li.extra {
    border-top-style: none;
}

/* Grid Slot Centring - Two/Row */
.result-grid.size-2 {
    padding: 20px calc((100% - 624px) / 2) 10px !important;
    width: 624px;
}

.result-grid.size-2:before {
    left: calc((100% - 640px) / 2);
}

.result-grid.size-2:after {
    right: calc((100% - 640px) / 2);
}

.result-grid.size-2 .ind {
    margin: 0 calc(((50% - 204px) / 2) - 1px);
}

.result-grid.size-2 .ind:nth-child(2n + 1) {
    /* Right */
    margin-top: 100px;
}

.result-grid.size-2 .slot div:after {
    background-color: #ffb90f;
    content: " ";
    height: 3px;
    position: absolute;
    right: 0;
    top: 15px;
    width: 21px;
}

@media only screen and (max-width: 640px) {
    .result-grid.size-2 {
        padding-bottom: 10px !important;
        width: 100%;
    }

    .result-grid.size-2 .start-finish {
        margin-bottom: 0;
    }

    .result-grid.size-2:before,
    .result-grid.size-2:after {
        display: none;
    }

    .result-grid.size-2 .ind {
        display: block;
        margin: 10px 0 !important;
    }

    .result-grid.size-2 .ind:nth-child(2n) {
        /* Left */
        margin-left: calc((100% - 204px) / 4) !important;
    }

    .result-grid.size-2 .ind:nth-child(2n + 1) {
        /* Right */
        margin-left: calc(3 * ((100% - 204px) / 4)) !important;
    }
}

/* Grid Slot Centring - Three/Row */
.result-grid.size-3 {
    padding: 20px calc((100% - 778px) / 2) 10px !important;
    width: 778px;
}

.result-grid.size-3:before {
    left: calc((100% - 794px) / 2);
}

.result-grid.size-3:after {
    right: calc((100% - 794px) / 2);
}

.result-grid.size-3 .ind {
    margin: 0 calc(((33.33333% - 204px) / 2) - 1px);
}

.result-grid.size-3 .ind:nth-child(3n) {
    /* Middle */
    margin-top: 50px;
}

.result-grid.size-3 .ind:nth-child(3n + 1) {
    /* Right */
    margin-top: 100px;
}

@media only screen and (max-width: 794px) {
    .result-grid.size-3 {
        padding-bottom: 10px !important;
        width: 100%;
    }

    .result-grid.size-3 .start-finish {
        margin-bottom: 0;
    }

    .result-grid.size-3:before,
    .result-grid.size-3:after {
        display: none;
    }

    .result-grid.size-3 .ind {
        display: block;
        margin: 10px 0 !important;
    }

    .result-grid.size-3 .ind:nth-child(3n + 2) {
        /* Left */
        margin-left: 10px !important;
    }

    .result-grid.size-3 .ind:nth-child(3n) {
        /* Middle */
        margin-left: calc((100% - 204px) / 2) !important;
    }

    .result-grid.size-3 .ind:nth-child(3n + 1) {
        /* Right */
        margin-left: calc(100% - 214px) !important;
    }
}

/* Race Result */
.result .row_head.res-pos,
.result .row_head.participant,
.result .row_head.team,
.result .row_head.laps,
.result .row_head.time,
.result .row_head.pts {
    margin-top: 0;
}

.result .row_head.team {
    box-sizing: border-box;
}

.result .res-pos,
.result .laps {
    width: 30px;
}

.result .participant {
    width: 178px;
}

.result .num {
    width: 20px;
}

.result .part-name {
    width: 156px;
}

.result .team {
    padding-right: 3px;
    width: 100px;
}

.result .team.no-link,
.result .team.with-link:not(:hover) {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.result .time {
    width: 95px;
}

.result .pts {
    width: 45px;
}

.result .fl-title {
    width: 72px;
}

.result .fl-time {
    width: 70px;
}

.result .fl-num {
    width: 60px;
}

/* Responsive - Tablet */
@media only screen and (min-width: 481px) and (max-width: 1001px) {
    .result .section {
        margin: 0 auto 2px;
        width: 488px;
    }
}

/* Responsive - Mobile */
@media only screen and (max-width: 480px) {
    .result .section {
        margin: 0 2px;
        width: calc(100% - 12px);
    }

    .result .participant {
        width: calc(100% - 181px);
    }

    .result .part-name {
        width: calc(100% - 203px);
    }

    .result .fl-time {
        width: 54px;
    }

    .result .fl-num {
        width: 44px;
    }
}

/* Lap Leaders */
.result-laps {
    height: 230px;
    margin-bottom: 2px;
    position: relative;
}

.result-laps .chart {
    height: 80px;
}

.result-laps .row_head,
.result-laps .mugshot {
    width: 130px;
}

.result-laps .row_head {
    height: 20px;
    line-height: 20px;
}

.result-laps .mugshot {
    bottom: 0;
    height: 130px;
}

.result-laps .pole,
.result-laps .winner {
    position: absolute;
}

.result-laps .pole {
    left: 0;
}

.result-laps .winner {
    right: 0;
}

.result-laps .chart g.highcharts-tooltip {
    fill: none;
    opacity: 0;
    stroke: none;
}

.result-laps .chart .highcharts-tooltip tooltip {
    background-color: #ffffff;
    border: 1px solid #7cb5ec;
    border-radius: 10px;
    color: #333333;
    display: block;
    opacity: 0.9;
    padding: 5px;
}

.result-laps .chart tooltip span,
.result-laps .chart tooltip strong {
    display: inline-block;
    line-height: 16px;
}
